#!/usr/bin/perl -w

require 'from_section.pl';

push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my $mainsec=$spec->get_section('package','');
    $mainsec->subst(qr'^BuildRequires:\s+desktop-file-utils\s*$','');
    $mainsec->subst_if(qr'\s+desktop-file-utils',' ', qr'^BuildRequires:');
    &from_section($spec, $pkgname,'post','%update_desktopdb');
    &from_section($spec, $pkgname,'postun','%clean_desktopdb');
    &from_section($spec, $pkgname,'preun','%clean_desktopdb',1);
};

1;
