#!/usr/bin/perl -w

require 'from_section.pl';

push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my @sections;
    foreach my $section ($spec->get_sections()) {
	unless ($section->get_body()->[0]=~m!^\s*\%postun\s+.*-p\s+(?:\%postun_|/sbin/)ldconfig!) {
	    push @sections, $section;
	}
    }
    $spec->set_sections(\@sections);
    &from_section($spec, $pkgname,'postun','%postun_ldconfig',1);
    &from_section($spec, $pkgname,'postun','%post_ldconfig',1);
};

1;
