#!/usr/bin/perl -w

require 'from_section.pl';

push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my $mainsec=$spec->get_section('package','');
    $mainsec->subst(qr'^BuildRequires:\s+shared-mime-info\s*$','');
    $mainsec->subst_if(qr'\s+shared-mime-info',' ', qr'^BuildRequires:');

    &from_section($spec, $pkgname,'post','%update_mimedb');
    &from_section($spec, $pkgname,'postun','%clean_mimedb');
};

1;
